<?php
namespace Garradin;

require_once __DIR__ . '/_inc.php';

if ($user['droits']['compta'] < Membres::DROIT_ADMIN)
{
    throw new UserException("Vous n'avez pas le droit d'accéder à cette page.");
}

$e = new Compta_Exercices;
$import = new Compta_Import;
$comptes = new Compta_Comptes;

if (isset($_GET['export']))
{
    header('Content-type: application/csv');
    header('Content-Disposition: attachment; filename="Export comptabilité - ' . $config->get('nom_asso') . ' - ' . date('Y-m-d') . '.csv"');
    $import->toCSV($e->getCurrentId());
    exit;
}

$error = false;

if (!empty($_POST['import']))
{
    if (!utils::CSRF_check('compta_import'))
    {
        $error = 'Une erreur est survenue, merci de renvoyer le formulaire.';
    }
    if (empty($_FILES['upload']['tmp_name']))
    {
        $error = 'Aucun fichier fourni.';
    }
    else
    {
        try
        {
            if (isset($_FILES['upload-plan-comptable']))
            {
              if (!$comptes->importPlan($_FILES['upload-plan-comptable']['tmp_name']))
              {
                  throw new UserException('Erreur lors de l’import du plan comptable');
              }
            }
            if (utils::post('type') == 'citizen')
            {
                $import->fromCitizen($_FILES['upload']['tmp_name']);
            }
            elseif (utils::post('type') == 'garradin')
            {
                if (!$import->fromCSV($_FILES['upload']['tmp_name']))
                {
                    throw new UserException('Erreur lors de l’import');
                }
            }
            else
            {
                throw new UserException('Import inconnu.');
            }

            utils::redirect('/admin/compta/import.php?ok');
        }
        catch (UserException $e)
        {
            $error = $e->getMessage();
        }
    }
}

$tpl->assign('error', $error);
$tpl->assign('ok', isset($_GET['ok']) ? true : false);

$tpl->display('admin/compta/import.tpl');

?>
